# Generated by Django 4.1.10 on 2023-07-27 11:58

import wagtail.blocks
import wagtail.fields
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0119_districthomepage_newsletter_description_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districthomepage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "text",
                        wagtail.blocks.RichTextBlock(
                            features=[
                                "h2",
                                "h3",
                                "h4",
                                "h5",
                                "bold",
                                "italic",
                                "ol",
                                "ul",
                                "hr",
                                "link",
                                "document-link",
                                "image",
                                "superscript",
                                "subscript",
                                "strikethrough",
                                "blockquote",
                                "embed",
                            ],
                            label="Textový editor",
                        ),
                    ),
                    (
                        "headline",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Headline", max_length=300, required=True
                                    ),
                                ),
                                (
                                    "style",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("head-alt-xl", "Bebas XL"),
                                            ("head-alt-lg", "Bebas L"),
                                            ("head-alt-md", "Bebas M"),
                                            ("head-alt-base", "Bebas base"),
                                            ("head-alt-sm", "Bebas SM"),
                                            ("head-alt-xs", "Bebas XS"),
                                            ("head-alt-2xs", "Bebas 2XS"),
                                            ("head-heavy-base", "Roboto base"),
                                            ("head-heavy-sm", "Roboto SM"),
                                            ("head-heavy-xs", "Roboto XS"),
                                            ("head-heavy-2xs", "Roboto 2XS"),
                                            ("head-allcaps-2xs", "Allcaps 2XS"),
                                            ("head-allcaps-3xs", "Allcaps 3XS"),
                                            ("head-allcaps-4xs", "Allcaps 4XS"),
                                            (
                                                "head-heavy-allcaps-2xs",
                                                "Allcaps heavy 2XS",
                                            ),
                                            (
                                                "head-heavy-allcaps-3xs",
                                                "Allcaps heavy 3XS",
                                            ),
                                            (
                                                "head-heavy-allcaps-4xs",
                                                "Allcaps heavy 4XS",
                                            ),
                                        ],
                                        help_text="Náhled si prohlédněte na https://styleguide.pir-test.eu/latest/?p=viewall-atoms-text.",
                                        label="Styl",
                                    ),
                                ),
                                (
                                    "tag",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("h1", "H1"),
                                            ("h2", "H2"),
                                            ("h3", "H3"),
                                            ("h4", "H4"),
                                            ("h5", "H5"),
                                            ("h6", "H6"),
                                        ],
                                        help_text="Čím nižší číslo, tím vyšší úroveň.",
                                        label="Úroveň nadpisu",
                                    ),
                                ),
                                (
                                    "align",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("auto", "Automaticky"),
                                            ("center", "Na střed"),
                                        ],
                                        label="Zarovnání",
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                use_json_field=True,
                verbose_name="Obsah stránky",
            ),
        ),
        migrations.AlterField(
            model_name="districthomepage",
            name="newsletter_list_id",
            field=models.CharField(
                blank=True,
                help_text="ID newsletteru z Mailtrainu. Po vyplnění se formulář pro odběr newsletteru zobrazí na úvodní stránce a na stránce s kontakty.",
                max_length=20,
                null=True,
                verbose_name="ID newsletteru",
            ),
        ),
    ]
